//************************************************************************
// savebmp.h
//
// Strukturen fr Bitmaps
//
// Holger Klabunde
// 14.01.2004
// Compiler Visual C++ V5.0
//************************************************************************

#ifndef SAVEBMP_H
 #define SAVEBMP_H

 struct bmpheader
  {
   char b;                      //Kennung1 Bitmap immer 'B'
   char m;                      //Kennung2 Bitmap immer 'M'
   unsigned long filesize;      //Gre der gesamten Datei
   unsigned long reserved;      //Keine Funktion
   unsigned long offset;        //Offset vom Anfang der Datei zu den Bitmapdaten
   unsigned long headersize;    //Gre des Bitmap Headers
   unsigned long width;         //Breite der Bitmap in Pixeln
   unsigned long height;        //Hhe der Bitmap in Pixeln
   unsigned short planes;       //Bitmap Planes
   unsigned short bitsperpixel; //Bits pro Pixel                   
   unsigned long compression;   //Kompression
   unsigned long bitmapsize;    //Gre der Bitmap in Bytes. Aufgerundet auf 4Byte Grenze
   unsigned long hresolution;   //Horizontale Auflsung in Pixel/Meter
   unsigned long vresolution;   //Vertikale Auflsung in Pixel/Meter
   unsigned long colors;        //Anzahl Farben
   unsigned long impcolors;     //Anzahl der wichtigen Farben
   unsigned long rgb0;		//Hintergrund
   unsigned long rgb1;		//Vordergrund
  } __attribute__((packed));

// 62 Bytes Headersize

#endif
